package wpd //nolint:testpackage

import (
	"bufio"
	"testing"

	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"

	"orus.io/orus-io/rednerd/testutils"
)

func TestProcess(t *testing.T) {
	log := testutils.GetLogger(t)
	p, err := NewRealProcess()
	require.NoError(t, err)
	info, err := helo(p, bufio.NewReader(p.Stdout()), log)
	require.NoError(t, err)
	assert.Equal(t, "1", info.Protocol)
	assert.Equal(t, "0.1.1", info.Version)
	assert.Equal(t, "wpd", info.Wpd)
	assert.NoError(t, p.Stop())
}
